<div class="admin-col-content" style='height: 100%;'>
  <div class="chart-container tab-pane active" id="chart_<%= @tools_indicator.id %>" style="position: relative; height:100%; width:100%">
    <canvas attr-chart-labels='<%= @tools_indicator.indicator_measures.map(&:name).to_json.html_safe %>'
            attr-chart-values='<%= @tools_indicator.indicator_measures.map(&:value).to_json.html_safe %>'
            attr-chart-targets='<%= @tools_indicator.indicator_measures.map { @tools_indicator.target }.to_json.html_safe %>'
            attr-chart-type='<%= @tools_indicator.graph_options ? @tools_indicator.graph_options['type'] || 'line' : 'line' %>'
            attr-chart-color='<%= @tools_indicator.graph_options ? @tools_indicator.graph_options['color'] || '0' : '0' %>'
            attr-chart-id='<%= @tools_indicator.id %>'
            attr-save-fct='<%= save_image ? tools_indicator_save_image_path(id: @tools_indicator.id) : '' %>'
            class='indicator-charts'
            id='chart_ctx_<%= @tools_indicator.id %>'> <!-- style="position: relative; height:40vh; width:80vw" -->
    </canvas>
  </div>
</div>

<script>
  // document.addEventListener("turbolinks:load", () => {
  // $(function(){
  //   ctx = document.getElementById('chart_ctx_<%= @tools_indicator.id %>');
  //   console.log("CALL PACK DRAW FOR chart_ctx_<%= @tools_indicator.id %>");
  //   Packs.indicators_pack.draw_indicator_chart(ctx);
  // });
</script>
